import es
import random
import os

#======================================================================================
#								Start of Config
#======================================================================================

# Make sure slashs are pointing / that way...
folder = 'sounds/hlsounds/'
# Syntax of list ( ['admin/join.mp3','admin/join1.mp3']
connect_sounds = ['hlsounds/welcome.wav','hlsounds/getoverhere.wav']
# Makes script download disable if you want to use mani
enable_download = 1

#======================================================================================
#								End of   Config
#======================================================================================


sound_folder =  str(es.ServerVar('eventscripts_gamedir')).replace('\\', '/') + '/' + folder


def load():
    if str(es.ServerVar("eventscripts_currentmap")) != "": 
        downloads()

def es_map_start(ev):
    downloads()

def downloads():
    if os.path.exists(sound_folder):
        for dlfile in os.listdir(sound_folder):
            es.stringtable('downloadables', sound_folder + dlfile)
    else:
        es.dbgmsg(0, "Error: %s doesn't exist" % sound_folder)

def player_hurt(ev):
	sound = random.choice(connect_sounds)
	if (ev['es_attackerweapon'] == 'weapon_knife'):
		es.playsound(ev['userid'], sound, 1.0)
